import axios from '@/libs/api.request'

export const getTableData = () => {
  return axios.request({
    url: 'get_table_data',
    method: 'get'
  })
}

export const getDragList = () => {
  return axios.request({
    url: 'get_drag_list',
    method: 'get' 
  })
}


export const newsAdd = ({params}) => {
  console.log(params)
  return  axios.request({
    url: 'news/add',
    params,
    method: 'post'
  })
}

export const getInfoList = () => {
  return axios.request({
    url: 'newstype/list',
    method: 'post'
  })
}
export const getLabelList = () => {
  return axios.request({
    url: 'newstag/list',
    method: 'post'
  })
}

export const errorReq = () => {
  return axios.request({
    url: 'error_url',
    method: 'post'
  })
}

export const saveErrorLogger = info => {
  return axios.request({
    url: 'save_error_logger',
    data: info,
    method: 'post'
  })
}

export const uploadImg = formData => {
  return axios.request({
    url: 'image/upload',
    data: formData
  })
}

export const getOrgData = () => {
  return axios.request({
    url: 'get_org_data',
    method: 'get'
  })
}

export const getTreeSelectData = () => {
  return axios.request({
    url: 'get_tree_select_data',
    method: 'get'
  })
}
